## com.fasterxml.jackson.databind.util
Class TokenBuffer.Parser

    java.lang.Object
      com.fasterxml.jackson.core.JsonParser
          com.fasterxml.jackson.core.base.ParserMinimalBase
              com.fasterxml.jackson.databind.util.TokenBuffer.Parser

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned, Closeable

Enclosing class:
  TokenBuffer

    protected static final class TokenBuffer.Parser

extends com.fasterxml.jackson.core.base.ParserMinimalBase

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser
`com.fasterxml.jackson.core.JsonParser.Feature, com.fasterxml.jackson.core.JsonParser.NumberType`

Field Summary
`protected com.fasterxml.jackson.core.util.ByteArrayBuilder` `_byteBuilder`
`protected boolean` `_closed`
`protected com.fasterxml.jackson.core.ObjectCodec` `_codec`
`protected com.fasterxml.jackson.core.JsonLocation` `_location`
`protected com.fasterxml.jackson.core.json.JsonReadContext` `_parsingContext` Information about parser context, context in which the next token is to be parsed (root, array, object).
`protected TokenBuffer.Segment` `_segment` Currently active segment
`protected int` `_segmentPtr` Pointer to current token within current segment

Fields inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase
`_currToken, _lastClearedToken, INT_APOSTROPHE, INT_ASTERISK, INT_b, INT_BACKSLASH, INT_COLON, INT_COMMA, INT_CR, INT_f, INT_LBRACKET, INT_LCURLY, INT_LF, INT_n, INT_QUOTE, INT_r, INT_RBRACKET, INT_RCURLY, INT_SLASH, INT_SPACE, INT_t, INT_TAB, INT_u`

Fields inherited from class com.fasterxml.jackson.core.JsonParser
`_features`

Constructor Summary
`TokenBuffer.Parser(TokenBuffer.Segment firstSeg, com.fasterxml.jackson.core.ObjectCodec codec)`

Method Summary
`protected void` `_checkIsNumber()`
`protected Object` `_currentObject()`
`protected void` `_handleEOF()`
`void` `close()`
`BigInteger` `getBigIntegerValue()`
`byte[]` `getBinaryValue(com.fasterxml.jackson.core.Base64Variant b64variant)`
`com.fasterxml.jackson.core.ObjectCodec` `getCodec()`
`com.fasterxml.jackson.core.JsonLocation` `getCurrentLocation()`
`String` `getCurrentName()`
`BigDecimal` `getDecimalValue()`
`double` `getDoubleValue()`
`Object` `getEmbeddedObject()`
`float` `getFloatValue()`
`int` `getIntValue()`
`long` `getLongValue()`
`com.fasterxml.jackson.core.JsonParser.NumberType` `getNumberType()`
`Number` `getNumberValue()`
`com.fasterxml.jackson.core.JsonStreamContext` `getParsingContext()`
`String` `getText()`
`char[]` `getTextCharacters()`
`int` `getTextLength()`
`int` `getTextOffset()`
`com.fasterxml.jackson.core.JsonLocation` `getTokenLocation()`
`boolean` `hasTextCharacters()`
`boolean` `isClosed()`
`com.fasterxml.jackson.core.JsonToken` `nextToken()`
`com.fasterxml.jackson.core.JsonToken` `peekNextToken()`
`void` `setCodec(com.fasterxml.jackson.core.ObjectCodec c)`
`void` `setLocation(com.fasterxml.jackson.core.JsonLocation l)`
`com.fasterxml.jackson.core.Version` `version()`

Methods inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

`_constructError, _decodeBase64, _getCharDesc, _handleUnrecognizedCharacterEscape, _reportBase64EOF, _reportError, _reportInvalidBase64, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOFInValue, _reportUnexpectedChar, _throwInternal, _throwInvalidSpace, _throwUnquotedSpace, _wrapError, clearCurrentToken, getCurrentToken, getLastClearedToken, getValueAsBoolean, getValueAsDouble, getValueAsInt, getValueAsLong, hasCurrentToken, nextValue, skipChildren`

Methods inherited from class com.fasterxml.jackson.core.JsonParser

`_constructError, canUseSchema, configure, disable, enable, getBinaryValue, getBooleanValue, getByteValue, getInputSource, getShortValue, getValueAsBoolean, getValueAsDouble, getValueAsInt, getValueAsLong, isEnabled, isExpectedStartArrayToken, nextBooleanValue, nextFieldName, nextIntValue, nextLongValue, nextTextValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, setSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _codec

    protected com.fasterxml.jackson.core.ObjectCodec _codec

### _segment

    protected TokenBuffer.Segment _segment

  Currently active segment

### _segmentPtr

    protected int _segmentPtr

  Pointer to current token within current segment

### _parsingContext

    protected com.fasterxml.jackson.core.json.JsonReadContext _parsingContext

  Information about parser context, context in which the next token is to be parsed (root, array, object).

### _closed

    protected boolean _closed

### _byteBuilder

    protected transient com.fasterxml.jackson.core.util.ByteArrayBuilder _byteBuilder

### _location

    protected com.fasterxml.jackson.core.JsonLocation _location

Constructor Detail

### TokenBuffer.Parser

    public TokenBuffer.Parser(TokenBuffer.Segment firstSeg,
                              com.fasterxml.jackson.core.ObjectCodec codec)

Method Detail

### setLocation

    public void setLocation(com.fasterxml.jackson.core.JsonLocation l)

### getCodec

    public com.fasterxml.jackson.core.ObjectCodec getCodec()

  Specified by:
    `getCodec` in class `com.fasterxml.jackson.core.JsonParser`

### setCodec

    public void setCodec(com.fasterxml.jackson.core.ObjectCodec c)

  Specified by:
    `setCodec` in class `com.fasterxml.jackson.core.JsonParser`

### version

    public com.fasterxml.jackson.core.Version version()

  Specified by:
    `version` in interface `com.fasterxml.jackson.core.Versioned`
  Overrides:
    `version` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### peekNextToken

    public com.fasterxml.jackson.core.JsonToken peekNextToken()
                                                       throws IOException,
                                                              com.fasterxml.jackson.core.JsonParseException

  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
  Throws:
    `IOException`

### nextToken

    public com.fasterxml.jackson.core.JsonToken nextToken()
                                                   throws IOException,
                                                          com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `nextToken` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getParsingContext

    public com.fasterxml.jackson.core.JsonStreamContext getParsingContext()

  Specified by:
    `getParsingContext` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getTokenLocation

    public com.fasterxml.jackson.core.JsonLocation getTokenLocation()

  Specified by:
    `getTokenLocation` in class `com.fasterxml.jackson.core.JsonParser`

### getCurrentLocation

    public com.fasterxml.jackson.core.JsonLocation getCurrentLocation()

  Specified by:
    `getCurrentLocation` in class `com.fasterxml.jackson.core.JsonParser`

### getCurrentName

    public String getCurrentName()

  Specified by:
    `getCurrentName` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getText

    public String getText()

  Specified by:
    `getText` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getTextCharacters

    public char[] getTextCharacters()

  Specified by:
    `getTextCharacters` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getTextLength

    public int getTextLength()

  Specified by:
    `getTextLength` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getTextOffset

    public int getTextOffset()

  Specified by:
    `getTextOffset` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### hasTextCharacters

    public boolean hasTextCharacters()

  Specified by:
    `hasTextCharacters` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`

### getBigIntegerValue

    public BigInteger getBigIntegerValue()
                                  throws IOException,
                                         com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getBigIntegerValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getDecimalValue

    public BigDecimal getDecimalValue()
                               throws IOException,
                                      com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getDecimalValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getDoubleValue

    public double getDoubleValue()
                          throws IOException,
                                 com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getDoubleValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getFloatValue

    public float getFloatValue()
                        throws IOException,
                               com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getFloatValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getIntValue

    public int getIntValue()
                    throws IOException,
                           com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getIntValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getLongValue

    public long getLongValue()
                      throws IOException,
                             com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getLongValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getNumberType

    public com.fasterxml.jackson.core.JsonParser.NumberType getNumberType()
                                                                   throws IOException,
                                                                          com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getNumberType` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getNumberValue

    public final Number getNumberValue()
                                throws IOException,
                                       com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getNumberValue` in class `com.fasterxml.jackson.core.JsonParser`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### getEmbeddedObject

    public Object getEmbeddedObject()

  Specified by:
    `getEmbeddedObject` in class `com.fasterxml.jackson.core.JsonParser`

### getBinaryValue

    public byte[] getBinaryValue(com.fasterxml.jackson.core.Base64Variant b64variant)
                          throws IOException,
                                 com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `getBinaryValue` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
  Throws:
    `IOException`
    `com.fasterxml.jackson.core.JsonParseException`

### _currentObject

    protected final Object _currentObject()

### _checkIsNumber

    protected final void _checkIsNumber()
                                 throws com.fasterxml.jackson.core.JsonParseException

  Throws:
    `com.fasterxml.jackson.core.JsonParseException`

### _handleEOF

    protected void _handleEOF()
                       throws com.fasterxml.jackson.core.JsonParseException

  Specified by:
    `_handleEOF` in class `com.fasterxml.jackson.core.base.ParserMinimalBase`
  Throws:
    `com.fasterxml.jackson.core.JsonParseException`

Copyright © 2012 fasterxml.com. All Rights Reserved.